Page MenuHomeSolus

python-itsdangerous: enable python3 & add unit tests
ClosedPublic

Authored by kyrios123 on Apr 23 2018, 3:46 PM.

Details

Summary

I need a python 3 build of flask for pgadmin4.
I have also switched the source to a more human friendly URL.

Signed-off-by: Pierre-Yves <pyu@riseup.net>

Test Plan
  • Unit tests enabled
  • Success fully build flask against this version

Diff Detail

Repository
R2605 python-itsdangerous
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.
kyrios123 created this revision.Apr 23 2018, 3:46 PM
kyrios123 requested review of this revision.Apr 23 2018, 3:46 PM
JoshStrobl requested changes to this revision.May 19 2018, 3:45 PM
JoshStrobl added a subscriber: JoshStrobl.

Should be tested against mkchromecast if you have one available. If not I can test it.

This revision now requires changes to proceed.May 19 2018, 3:45 PM
kyrios123 added a comment.EditedMay 19 2018, 6:14 PM

Should be tested against mkchromecast if you have one available. If not I can test it.

I don't have a chromecast anymore. You can test it when you have time. Thanks, @JoshStrobl !

Now I think about it, there was no version bump or deep packaging modification. Only python 3 and unit tests were added.

kyrios123 requested review of this revision.Aug 24 2018, 6:56 PM
DataDrake accepted this revision.Aug 25 2018, 6:53 PM
DataDrake added a subscriber: DataDrake.

LGTM. Thanks!

This revision was not accepted when it landed; it landed in state Needs Review.Aug 25 2018, 6:54 PM
This revision was automatically updated to reflect the committed changes.